Bug 190894 - Unable to stop spamass-milter
Unable to stop spamass-milter
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: spamass-milter (Show other bugs)
5
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-05 20:54 EDT by Stuart
Modified: 2012-04-08 03:49 EDT (History)
0 users

See Also:
Fixed In Version: 0.3.1-2.fc3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-08 04:45:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stuart 2006-05-05 20:54:44 EDT
Description of problem:
Attepmpting to do a "service spamass-milter stop" fails - spamass-milter is 
killed, but automatically restarted.


Version-Release number of selected component (if applicable):
spamass-milter-0.3.1-1.fc5


How reproducible:
Always.


Steps to Reproduce:
1. With service running, issue "service spamass-milter stop" as superuser.
2. Stop reports success.
3. Check list of active process/root's email & see that /usr/sbin/spamass-
milter-wrapper automatically restarted the milter.

  
Expected results:
A controlable service.


Additional info:
/usr/sbin/spamass-milter-wrapper checks for /var/lock/subsys/spamass-milter to 
determine if the service is to stop or if the milter 
crashed.  /etc/rc.d/init.d/spamass-milter does not unlink this file before 
killing the process.


Possible resolution:
Patch /etc/rc.d/init.d/spamass-milter as follows:
46a47
>       rm -f /var/lock/subsys/spamass-milter
51d51
<       [ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/spamass-milter
Comment 1 Paul Howarth 2006-05-07 06:31:32 EDT
I can't actually reproduce this error here, but I can see the race condition and
how it could happen. I also agree with your suggested fix, which I'll make shortly.
Comment 2 Paul Howarth 2006-05-08 04:45:06 EDT
The update has now reached the mirrors, so this should be fixed now. Please
repoen the bug if there's still an issue.
Comment 3 Fedora Update System 2012-04-08 03:49:25 EDT
gdesklets-0.36.3-6.1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/gdesklets-0.36.3-6.1.fc16

Note You need to log in before you can comment on or make changes to this bug.